Subject: [Ecrit] Emergency location alternative: outbound proxy adding location in formation

From: "Bemmel, Jeroen van (Jeroen)" <[email-masked]>
Date: Thu, 14 Apr 2005 15:23:00 +0200

Hello,
 
I have been reading the sipping-emergency architecture draft (  <http://www.ietf.org/internet-drafts/draft-schulzrinne-sipping-emergency-arch-02.txt> http://www.ietf.org/internet-drafts/draft-schulzrinne-sipping-emergency-arch-02.txt ) authored by this charter and I have a question / suggestion to share. This may have been discussed before, if so I apologize for the repitition
 
We are currently working on emergency services in the context of an enterprise WiFi environment. In such an environment, we figured it could help if a SIP proxy with some knowledge on the proximity of the user (e.g. within the same building, connected to the same LAN) would add information to outgoing emergency calls to assist with locating the user.
 
The proxy could add a header, e.g.: Emergency-Location: lat=1.2345; long=6.789; postal=xxxx; certainty=500m
It should probably also refer to the source of this information, e.g. the URI of the responsible administrator. This location information could be preconfigured in the proxy. 
 
A second issue is that the proxy could be provisioned with the address of the emergency center to contact for emergency calls. In that case the location information would not be needed for call routing
 
I noted that the current draft does not mention these alternatives, it talks mainly about things that can be done at the terminal side. 
 
I would argue that in case of emergency all information that can assist in locating the user can be helpful. So it would be wise to do "as much as possible", i.e. both have the terminal report its location if possible and have the proxy append information too.
 
>From a privacy perspective I understand there could be objections to this approach, i.e. the user's location is given out without the user's consent. I would say that in case the user is making an emergency call, he should know that it implies he will give out his location information. Furthermore, given the nature of emergency situations which by definition are "life and limb threatening" I would say that users generally would take the risk that their location information ends up in the wrong hands, rather than not share it and risk death.
 
Regards,
 
Jeroen van Bemmel, Lucent Technologies Bell Labs
_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit